import '../../../css/common/index.scss';
import '../../common/index';

import { Tab } from 'bootstrap';

import {init as initImport} from "./import";
import {init as initTable} from "./table";
import {init as initUserLists} from "./userlists";
import {initShare} from "./share";
import {init as initEditModal} from "./modals/edit";
import {init as initDeleteModal} from "./modals/delete";

document.addEventListener('DOMContentLoaded', () => {
    const triggerTabList = document.querySelectorAll('#key-tab button')
    triggerTabList.forEach(triggerEl => {
        const tabTrigger = new Tab(triggerEl)

        triggerEl.addEventListener('click', event => {
            event.preventDefault()
            tabTrigger.show()
        })
    })

    initImport();
    initTable();
    initUserLists();
    initShare();
    
    initEditModal();
    initDeleteModal();
})