<?php
declare(strict_types=1);

namespace GamesShop\Entities\Games;

use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
#[ORM\Table(name: 'games')]
class Game
{
    #[ORM\Id]
    #[ORM\Column(type: 'integer', options: ['unsigned' => true])]
    #[ORM\GeneratedValue]
    private int|null $id;
    #[ORM\Column]
    private string $name;
    #[ORM\Column(nullable: true)]
    private string|null $internalName;

    public function getName(): string
    {
        return $this->name;
    }

    public function getId(): ?int
    {
        return $this->id;
    }
    
    public function getInternalName(): string 
    {
        return $this->internalName ?? $this->name;
    }
    
    public function setInternalName(string $internalName): void
    {
        $this->internalName = $internalName;
    }

    /**
     * @param string $name
     */
    public function __construct(string $internalName, string $name)
    {
        $this->internalName = $internalName;
        $this->name = $name;
    }
}