<?php
declare(strict_types=1);

namespace GamesShop\Routing\Api;

use GamesShop\Routing\Api\DataTables\DataTablesAPIRoutes;
use GamesShop\Routing\Api\Web\WebAPIRoutes;
use League\Route\Router;

final class APIRoutes
{
    public static function applyRoutes(Router $router) {
        $router->group('/api/dt', DataTablesAPIRoutes::setupRoutes(...));
        $router->group('/api/web', WebAPIRoutes::applyRoutes(...));
    }
}