<?php
declare(strict_types=1);

namespace GamesShop\Routing\Api\Web;

use League\Route\RouteGroup;

final class WebAPIRoutes
{
    public static function applyRoutes(RouteGroup $group): void {
        $group->post('/users/{id:number}', UserModifyRoute::class);

        $group->post('/keys/import/prepare', ImportKeysPrepareRoute::class);
        $group->post('/keys/import/perform', ImportKeysRoute::class);

        $group->post('/keys/list/create', CreateKeyListRoute::class);
        $group->post('/keys/list/delete',DeleteKeyList::class);
        
        $group->get('/share/search', SearchForUsers::class);
        $group->post('/share/add', AddUserToList::class);
        $group->post('/share/remove', RemoveUserFromList::class);
        $group->post('/share/setPublic', SetListPublic::class);
        
        $group->get('/game', GetGameData::class);
        $group->post('/key/claim', ClaimKey::class);
    }
}