<?php declare(strict_types=1);

namespace GamesShop;

use GamesShop\Environment\EnvironmentHandler;
use Monolog\Handler\StreamHandler;
use Monolog\Level;
use Monolog\Logger;
use Psr\Log\LoggerInterface;

final class Services
{

    public static function createLogger(): void 
    {
        $logPath = ContainerHandler::get(EnvironmentHandler::class)->getLoggingPath();
        
        $logger = new Logger('gamesshop');
        $logger->pushHandler(new StreamHandler($logPath, Level::Debug));
        
        ContainerHandler::getInstance()
            ->addShared(LoggerInterface::class, $logger)
            ->setAlias(Logger::class);
    }
}